Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.TabbedPaneActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TabbedPaneActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.TabbedPaneActions extends Object
From BasicTabbedPaneUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DOWN`
`static final String`
`LEFT`
`static final String`
`NEXT`
`static final String`
`PAGE_DOWN`
`static final String`
`PAGE_UP`
`static final String`
`PREVIOUS`
`static final String`
`REQUEST_FOCUS`
`static final String`
`REQUEST_FOCUS_FOR_VISIBLE`
`static final String`
`RIGHT`
`static final String`
`SCROLL_BACKWARD`
`static final String`
`SCROLL_FORWARD`
`static final String`
`SELECT_FOCUSED`
`static final String`
`SET_SELECTED`
`static final String`
`UP`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TabbedPaneActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NEXT

public static final String NEXT

See Also:
  - Constant Field Values

### PREVIOUS

public static final String PREVIOUS

See Also:
  - Constant Field Values

### RIGHT

public static final String RIGHT

See Also:
  - Constant Field Values

### LEFT

public static final String LEFT

See Also:
  - Constant Field Values

### UP

public static final String UP

See Also:
  - Constant Field Values

### DOWN

public static final String DOWN

See Also:
  - Constant Field Values

### PAGE_UP

public static final String PAGE_UP

See Also:
  - Constant Field Values

### PAGE_DOWN

public static final String PAGE_DOWN

See Also:
  - Constant Field Values

### REQUEST_FOCUS

public static final String REQUEST_FOCUS

See Also:
  - Constant Field Values

### REQUEST_FOCUS_FOR_VISIBLE

public static final String REQUEST_FOCUS_FOR_VISIBLE

See Also:
  - Constant Field Values

### SET_SELECTED

public static final String SET_SELECTED

See Also:
  - Constant Field Values

### SELECT_FOCUSED

public static final String SELECT_FOCUSED

See Also:
  - Constant Field Values

### SCROLL_FORWARD

public static final String SCROLL_FORWARD

See Also:
  - Constant Field Values

### SCROLL_BACKWARD

public static final String SCROLL_BACKWARD

See Also:
  - Constant Field Values

## Constructor Details

### TabbedPaneActions

protected TabbedPaneActions()